Last modified: 2014-02-07 16:21:02 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 60192 - Documentation and API are inconsistent (action=parse, contentmodel)
Documentation and API are inconsistent (action=parse, contentmodel)
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
API (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2014-01-18 04:55 UTC by Sorawee Porncharoenwase
Modified: 2014-02-07 16:21 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sorawee Porncharoenwase 2014-01-18 04:55:41 UTC
In action=parse, the documentation states that "contentmodel - Content model of the input text. Default is the model of the specified title, or wikitext if title is not specified" long ago. However, https://git.wikimedia.org/commitdiff/mediawiki%2Fcore.git/1104392eba1b7701582054fed11d353868614d62 discourages doing so by showing a warning that there should be a contentmodel if title is not specified. Hence, now the code and the documentation are inconsistent. To make them consistent, either suppressing the warning or changing the documentation to discourage input without contentmodel must be done. I don't know, though, that which way is better.
Comment 1 Niklas Laxström 2014-01-19 02:12:57 UTC
Latter.
Comment 2 Gerrit Notification Bot 2014-01-19 06:08:33 UTC
Change 108307 had a related patch set uploaded by Nullzero:
Update documentation and suppress warning when parsing summary

https://gerrit.wikimedia.org/r/108307
Comment 3 Gerrit Notification Bot 2014-02-07 15:29:07 UTC
Change 108307 merged by jenkins-bot:
API: update documentation and suppress warning when parsing summary

https://gerrit.wikimedia.org/r/108307
Comment 4 Brad Jorsch 2014-02-07 16:21:02 UTC
Should be deployed to WMF wikis with 1.23wmf14, see https://www.mediawiki.org/wiki/MediaWiki_1.23/Roadmap for the schedule.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links